| TagLib 1.13 |  |

Protected Member Functions | List of all members
TagLib::Mod::FileBase Class Reference

`#include <modfilebase.h>`

Inheritance diagram for TagLib::Mod::FileBase:
[legend]
Collaboration diagram for TagLib::Mod::FileBase:
[legend]

## Protected Member Functions
| FileBase (FileName file)
| FileBase (IOStream *stream)
void | writeString (const String &s, unsigned long size, char padding=0)
void | writeByte (unsigned char byte)
void | writeU16L (unsigned short number)
void | writeU32L (unsigned long number)
void | writeU16B (unsigned short number)
void | writeU32B (unsigned long number)
bool | readString (String &s, unsigned long size)
bool | readByte (unsigned char &byte)
bool | readU16L (unsigned short &number)
bool | readU32L (unsigned long &number)
bool | readU16B (unsigned short &number)
bool | readU32B (unsigned long &number)
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)

## Additional Inherited Members
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Constructor & Destructor Documentation

## ◆ FileBase() [1/2]

TagLib::Mod::FileBase::FileBase | ( | FileName | file | ) |
| protected

## ◆ FileBase() [2/2]

TagLib::Mod::FileBase::FileBase | ( | IOStream * | stream | ) |
| protected

## Member Function Documentation

## ◆ readByte()

bool TagLib::Mod::FileBase::readByte | ( | unsigned char & | byte | ) |
| protected

## ◆ readString()

bool TagLib::Mod::FileBase::readString | ( | String & | s,
|  | unsigned long | size
| ) |  |
| protected

## ◆ readU16B()

bool TagLib::Mod::FileBase::readU16B | ( | unsigned short & | number | ) |
| protected

## ◆ readU16L()

bool TagLib::Mod::FileBase::readU16L | ( | unsigned short & | number | ) |
| protected

## ◆ readU32B()

bool TagLib::Mod::FileBase::readU32B | ( | unsigned long & | number | ) |
| protected

## ◆ readU32L()

bool TagLib::Mod::FileBase::readU32L | ( | unsigned long & | number | ) |
| protected

## ◆ writeByte()

void TagLib::Mod::FileBase::writeByte | ( | unsigned char | byte | ) |
| protected

## ◆ writeString()

void TagLib::Mod::FileBase::writeString | ( | const String & | s,
|  | unsigned long | size,
|  | char | padding = `0`
| ) |  |
| protected

## ◆ writeU16B()

void TagLib::Mod::FileBase::writeU16B | ( | unsigned short | number | ) |
| protected

## ◆ writeU16L()

void TagLib::Mod::FileBase::writeU16L | ( | unsigned short | number | ) |
| protected

## ◆ writeU32B()

void TagLib::Mod::FileBase::writeU32B | ( | unsigned long | number | ) |
| protected

## ◆ writeU32L()

void TagLib::Mod::FileBase::writeU32L | ( | unsigned long | number | ) |
| protected

The documentation for this class was generated from the following file:

- modfilebase.h